function parsaXML( theXML ) {
	
	var result = "";
	
	var listaVocaboli = theXML.getElementsByTagName("parola");
	
	if(listaVocaboli.length == 0){
		result = "Nessuna parola corrispondente!";
		return result;
	}
	else{
		result = "<ul class=\"dizionario\">";
		for ( var i = 0 ; i < listaVocaboli.length ; i++ ) {
			var nome = listaVocaboli[i].getElementsByTagName("nome")[0].firstChild.nodeValue;
			var nomeURL = "<a href=\"modificaDefinizione?nome="+nome+"\">"+nome+"</a>";
			var definizione = listaVocaboli[i].getElementsByTagName("definizione")[0].firstChild.nodeValue;
			result += "<li>";
				result += "<span class=\"vocabolo\">";
					result += nomeURL + ": ";
				result += "</span>";
				result += "<span class=\"definizione\">";
					result += definizione;
				result += "</span>";
			result += "</li>";
		}// for ( items )
		result += "</ul>";
	}
	return result;
}

/*
 * Funzione di callback
 */
function callback( theXhr, theElement ) {
	theElement.class = "content";
	if ( theXhr.readyState === 2 ) {
	    	theElement.innerHTML = "Richiesta inviata...";
	}// if 2
	else if ( theXhr.readyState === 3 ) {
    		theElement.innerHTML = "Ricezione della risposta...";
	}// if 3
	else if ( theXhr.readyState === 4 ) {
		if ( theXhr.status === 200 ) {
			if ( theXhr.responseXML ) {
		        theElement.innerHTML = parsaXML(theXhr.responseXML);
			}
			else {
				theElement.innerHTML = "L'XML restituito dalla richiesta non è valido.<br />" +
        		theXhr.responseText.split('<').join("&lt;").split('>').join("&gt;");
			}// else (if ! XML)
		}// if 200
		else {
	        // errore di caricamento
	        theElement.innerHTML = "Impossibile effettuare l'operazione richiesta.<br />";
	        theElement.innerHTML += "Errore riscontrato: " + theXhr.statusText;
		}// else (if ! 200)
	}// if 4
} // callback();

function caricaContenutoAJAX(theUri, theElement, theXhr) {
    //imposto la funzione di callback
	theXhr.onreadystatechange = function() { callback(theXhr, theElement); };
    try {
    	//tento di aprire la connessione
		theXhr.open("get", theUri, true);
	}
	catch(e) {
		alert(e);
	}
	//dico al server di chiudere la connessione appena terminata la chiamata
	//ricordando che la chiamata  asincrona
	theXhr.setRequestHeader("connection", "close");
	
	//invio la richiesta
	theXhr.send(null);
} // caricaContenutoAJAX()

function caricaContenutoIframe(theUri,theHolder) {
	theHolder.innerHTML = '<iframe src="' + theUri + '" width="50%" height="50px">Il tuo browser non supporta gli iframe</iframe>';
}// caricaContenutoIframe()

function caricaContenuto(uri,e) {
	var
		xhr = myGetXmlHttpRequest();
	if ( xhr ) 
		caricaContenutoAJAX(uri,e,xhr); 
	else 
		caricaContenutoIframe(uri,e); 
}// caricaContenuto()

function carica( iniziali, action, destinazione ) {
	//non uso le iniziali in quanto carico una risorsa statica,
	//se volessi usarle farei cos:	
	//var uri = action+"?inizioParola="+iniziali;
	var uri = action;
	var target = myGetElementById(destinazione);
	caricaContenuto(uri,target);
}